class Page < ActiveRecord::Base
  validates_presence_of :name
  validates_uniqueness_of :name
  before_save :downcase_name
  
  def title
    name.titleize
  end
  
  def search_result_title
    r = page_title.split(' | ')
    r[0]
  end
  
  scope :visible, where("visible = ?", true).order('id')
  scope :home, where("page_type = ?", 'home')
  
  def self.search(search)
    if search
      find(:all, :conditions => ['name LIKE ? OR content LIKE ? OR page_title LIKE ? OR meta_keywords LIKE ? OR meta_description LIKE ?', "%#{search}%", "%#{search}%", "%#{search}%", "%#{search}%", "%#{search}%"])
    else
      find(:all)
    end
  end

  private
  
  def downcase_name
    self.name.downcase! unless self.name.blank?
  end
end
